import { Matrix3 } from "./Matrix3";
import { Vector3 } from "./Vector3";
declare class Quaternion {
    x: number;
    y: number;
    z: number;
    w: number;
    constructor(x?: number, y?: number, z?: number, w?: number);
    set(x: number, y: number, z: number, w: number): Quaternion;
    normalize(): Quaternion;
    multiply(q: Quaternion): Quaternion;
    flat(): number[];
    clone(): Quaternion;
    static FromEuler(e: Vector3): Quaternion;
    toEuler(): Vector3;
    static FromMatrix3(matrix: Matrix3): Quaternion;
}
export { Quaternion };
